---
type: api
title: Get status of value list data streams
description: Verify that `.lists` and `.items` data streams exist.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-readlistindex
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-readlistindex
products:
  - Kibana
---

# Get status of value list data streams

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/lists/index`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Verify that `.lists` and `.items` data streams exist.

## Responses

#### `200`

Successful response

`application/json`

- `list_index` (boolean)
- `list_item_index` (boolean)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

List data stream(s) not found response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/lists/index
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/lists/index"
```

## Response Examples

#### Both exist

```json
{
  "list_index": true,
  "list_item_index": true
}
```

#### Bad

```json
{
  "message": "Unable to read value list data stream status for this space",
  "status_code": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/lists/index] is not authorized; list read permissions are required",
  "statusCode": 403
}
```

#### Not found

```json
{
  "message": "Value list backing indices were not found for this space",
  "status_code": 404
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

